Message #12 des archives de la Liste gotcha-dev@2rosenthals.com

De: Lewis G Rosenthal <lgrosenthal@2rosenthals.com> En-têtes complèts
Message brut
Sujet: Re: [gotcha-dev] Gotcha 1.80 beta 1
Date: Mon, 26 Feb 2018 18:45:19 -0500
À: Gotcha! Developers Mailing List <gotcha-dev@2rosenthals.com>

On 02/26/18 06:31 pm, Gregg Young wrote:
On Mon, 26 Feb 2018 18:07:02 -0500 Lewis G Rosenthal
wrote:
On 02/26/18 05:27 pm, Andy Willis wrote:
Lewis wrote:
Hi...

On 02/26/18 04:14 pm, Gregg Young wrote:
Hi

The one I sent earlier may be broken (always delete
the
ini before testing). I have the wpi working including
a
check for gbm. I have decided to release this as
version
2.0.

Okay. I'll check this out this evening, when I am in
front of "ye olde
teste boxe."

I discover that ArcaOS installs gbm.dll twice (2
different
versions)

"X:\usr\lib\gbm.dll"       1047010  2017/02/26
18:21:38
"X:\OS2\DLL\gbm.dll"   186838  2017/07/09
01:52:34
Yes, we were aware of this, and it caused some
discussion before
release. I thought we exorcised the one in \OS2\DLL,
but as it should
come after \usr\lib in LIBPATH, it was never such a
big
deal. I think it
may be there as a fallback for some other stuff in
case the GBM RPM is
uninstalled. Andy will hopefully remember better than
I.
Thanks again. I'll follow up later with some tests.

Also, I will chat with Rich about the subclassing of
the
settings
notebook page for this, and see what guidance he
may provide.
Cheers

I built the RPM and set it to install in the typical
\usr\lib... the one in os2\dll is I believe an old one.  I am
not sure what puts it there, I think it ships with OS/2
though.
I found the thread in my staff list archives from before
you were added. Steve and I discussed it, but it never
got any farther along. I'll open a ticket at AN. If the fact
is that we keep the older one in place as a fallback,
then
no harm done, but recall that LIBPATHSTRICT can do
some weird things, and between this and Lucide, we
may
not want the older library just sitting there waiting for us
to chase our tails trying to find something to resolve a
ticket of "program won't start."

I am guessing the one in os2\dll is missing part of the
formats (jpeg 2000 maybe more). If you think keeping
both is the way to go they should probably be synced.
The ticket "can't open jp2 files but png still works" in
Lucide would also be an adventure. Thanks


I know of no good reason to sync them. AFAIK, the newer one does all that the older one does, and more, but the older one is not capable of being used by the Lucide plugin (and whatever else was built against the later code).

AN ticket #1763 opened. Let's lose it. I am reticent to suggest we add any kind of code to the RPM to delete the other module, however. We'll need to think on that internally and figure out the best way to go. We could release an an-base RPM which would do things like this, I guess (separate package).

--
Lewis
-------------------------------------------------------------
Lewis G Rosenthal, CNA, CLP, CLE, CWTS, EA
Rosenthal & Rosenthal, LLC                www.2rosenthals.com
visit my IT blog                www.2rosenthals.net/wordpress
-------------------------------------------------------------


Abonner: Direct, Résumé, Index.
Désabonner
Écrire au gestionnaire de la liste